/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var data = ko.observable({}),
        settings = ko.observable({}),
        currentUser = ko.observable({}),
        isFullAutomationRequest = ko.observable(false);

    return {
        data: data,
        settings: settings,
        currentUser: currentUser,
        isFullAutomationRequest: isFullAutomationRequest
    };
});
